
#ifndef _MAIN_H
 #define _MAIN_H

#define SYSCLK 14745600L		//7372800oder 18.4320 MHz	Quarz Frequenz in Hz
#define F_CPU 14745600L

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <util/delay.h>

#include "mca25.h"
#include "uart.h"
#include "softuart.h"

//buffer for webcam
#define CAM_BUFFER_LEN 512

//some webcam control stuff:
extern unsigned char webcam_busy_forconn;
extern int webcam_buffer_empty;
extern unsigned char webcam_pic_end;
extern unsigned char webcam_tmp;
//

//MTU Size setzen (min. 500 / max. 1400)
#define MTU_SIZE  800


#endif //_MAIN_H






