/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        23.12.2007
 Description:    RS232 Softuart Routinen (nur Senden)
----------------------------------------------------------------------------*/

#ifndef _SOFTUART_H_
	#define _SOFTUART_H_
	
	#define F_CPU 14745600L
	
	#include <avr/io.h>
	#include <util/delay.h>
	
	//26us pro Bit entsprechen 38400 baud
	#define DELAY_TIME  26
	
	void soft_uart_write_char (unsigned char c);
	//inline void softuart_init(void);
	void softuart_init(void);
	void soft_uart_write_str(unsigned char *str);
	void soft_uart_write_data(unsigned char *str);
#endif

